Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetBotInfoDescription

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetBotInfoDescription

Enclosing class:
  TdApi

public static final class TdApi.SetBotInfoDescription extends TdApi.Function<TdApi.Ok>
Sets the text shown in the chat with a bot if the chat is empty. Can be called only if userTypeBot.canBeEdited == true.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
Identifier of the target bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`description`
New bot's description on the specified language.
`String`
`languageCode`
A two-letter ISO 639-1 language code.

## Constructor Summary

Constructors
Constructor
Description
`SetBotInfoDescription()`
Sets the text shown in the chat with a bot if the chat is empty.
`SetBotInfoDescription(long botUserId, String languageCode, String description)`
Sets the text shown in the chat with a bot if the chat is empty.
`SetBotInfoDescription(DataInput input)`
Sets the text shown in the chat with a bot if the chat is empty.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the target bot.

### languageCode

public String languageCode
A two-letter ISO 639-1 language code. If empty, the description will be shown to all users for whose languages there is no dedicated description.

### description

public String description
New bot's description on the specified language.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetBotInfoDescription

public SetBotInfoDescription()
Sets the text shown in the chat with a bot if the chat is empty. Can be called only if userTypeBot.canBeEdited == true.

Returns `Ok`

### SetBotInfoDescription

public SetBotInfoDescription(long botUserId, String languageCode, String description)
Sets the text shown in the chat with a bot if the chat is empty. Can be called only if userTypeBot.canBeEdited == true.

Returns `Ok`

Parameters:
  `botUserId` - Identifier of the target bot.
  `languageCode` - A two-letter ISO 639-1 language code. If empty, the description will be shown to all users for whose languages there is no dedicated description.
  `description` - New bot's description on the specified language.

  Returns `Ok`

### SetBotInfoDescription

public SetBotInfoDescription(DataInput input) throws IOException
Sets the text shown in the chat with a bot if the chat is empty. Can be called only if userTypeBot.canBeEdited == true.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`